Lists usage plan sets with pagination, sorting, and filtering.
const url = 'https://example.com/api/v1/provision/admin/usage-plans/plan-sets?pageNumber=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/provision/admin/usage-plans/plan-sets?pageNumber=1&pageSize=100'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”OK
object
A named collection of usage plans (e.g. “My SaaS Plans”).
object
A usage plan such as “basic”, “standard”, or “professional”.
object
Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
object
A named collection of usage plans (e.g. “My SaaS Plans”).
object
A usage plan such as “basic”, “standard”, or “professional”.
object
Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "status": 1, "revisionDate": "2026-04-15T12:00:00Z", "plans": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "sortOrder": 1, "featureValues": [ { "featureCode": "example", "enforcementType": 1, "value": "example", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ] } ] } ] } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
A named collection of usage plans (e.g. “My SaaS Plans”).
object
A usage plan such as “basic”, “standard”, or “professional”.
object
Defines a feature value override for a specific plan tier. Value is stored as string to support bool, enum, string, and json field values.
object
Represents a tier of usage with associated credits and severity status.
object
Gets or sets the start usage for the tier.
Gets or sets the end usage for the tier. Nullable.
Gets or sets the flat fee credits for the tier.
Gets or sets the credits per unit of consumption for the tier.
Gets or sets the name of the usage tier.
Gets or sets the overage severity status for the tier.
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "status": 1, "revisionDate": "2026-04-15T12:00:00Z", "plans": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "sortOrder": 1, "featureValues": [ { "featureCode": "example", "enforcementType": 1, "value": "example", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": 1, "quotaUsagePolicy": 1 } ] } ] } ] } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}